start_step_up
POST
/auth/step-up/start
const url = 'https://api.siteqwality.com/auth/step-up/start';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"action":"set_password"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.siteqwality.com/auth/step-up/start \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "action": "set_password" }'Authorizations
Section titled “Authorizations ”Request Body required
Section titled “Request Body required ” Media type application/json
object
action
required
A sensitive action that may need a fresh email step-up.
string
Responses
Section titled “ Responses ”Security confirmation sent
Media type application/json
object
challenge_handle
required
string
expires_in
required
integer format: int64
code_length
required
integer format: int32
Example generated
{ "challenge_handle": "example", "expires_in": 1, "code_length": 1}